<template>
     <form @submit.prevent="validateBeforeSubmit(editMode)" class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('unit.name_dr')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="unit_name_dr" v-model="s_fields.name_dr" :placeholder="$t('unit.pl_holder')">
                    <span v-if="s_errors && s_errors.name_dr"  class="m-form__help text-danger">{{s_errors.name_dr[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('unit_name_dr')}" >{{errors.has('unit_name_dr') ? errors.first('unit_name_dr'): $t("unit.si_note") }} </span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('unit.name_pa')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="unit_name_pa" v-model="s_fields.name_pa" :placeholder="$t('unit.pl_holder')">
                    <span v-if="s_errors && s_errors.name_pa" class="m-form__help text-danger">{{s_errors.name_pa[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('unit_name_pa')}" >{{errors.has('unit_name_pa') ? errors.first('unit_name_pa'): $t("unit.si_note") }} </span>
                </div>
            </div>

            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('unit.name_en')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="unit_name_en" v-model="s_fields.name_en" :placeholder="$t('unit.pl_holder')">
                    <span v-if="s_errors && s_errors.name_en" class="m-form__help text-danger">{{s_errors.name_en[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('unit_name_en')}" >{{errors.has('unit_name_en') ? errors.first('unit_name_en'): $t("unit.si_note") }} </span>
                </div>
            </div>
        </div>
        <div class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
            <div class="m-form__actions m-form__actions--solid">
                <div class="row">
                    <div class="col-lg-2"></div>
                    <div class="col-lg-6">
                        <button type="submit" class="btn btn-brand">{{this.$route.meta.btn_label}}</button>
                        <router-link to="/unit" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
                    </div>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        name: 'UnitForm',
        mixins: [SubmitForm],
        data(){
            return {
                'url': 'api/static/unit',
                'editMode': this.$route.meta.editMode,
                 s_fields: {
                  type: 'unit'
                }
            }
        },
        created()
        {
            this.$root.$on('get-data-for-edit', () => {
              this.getDataForEdit();
              this.$root.$off('get-data-for-edit');
            })
        }
    }
</script>
